Sign inGet started

Skills

GET
/workspaces/{workspaceId}/inbox/skills
List Agent Skills
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Cuerpo de la respuesta
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
obligatorio
Mostrar atributos secundarios
results.createdAt
string
obligatorio
results.createdBy
string
obligatorio
results.description
string
obligatorio
results.id
string
obligatorio
results.name
string
obligatorio
results.updatedAt
string
obligatorio
results.updatedBy
string
obligatorio
results.valueType
string
obligatorio
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
results.values
array of object
obligatorio
Mostrar atributos secundarios
results.values.createdAt
string
obligatorio
results.values.icon
string
obligatorio
results.values.id
string
obligatorio
results.values.value
string
obligatorio
results.workspaceId
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/skills
Create Agent Skill
Cuerpo de la solicitud
name
string
obligatorio
description
string
obligatorio
valueType
string
obligatorio
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
obligatorio
Mostrar parámetros secundarios
values.value
string
obligatorio
values.icon
string
obligatorio
Cuerpo de la respuesta
createdAt
string
obligatorio
createdBy
string
obligatorio
description
string
obligatorio
id
string
obligatorio
name
string
obligatorio
updatedAt
string
obligatorio
updatedBy
string
obligatorio
valueType
string
obligatorio
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
obligatorio
Mostrar atributos secundarios
values.createdAt
string
obligatorio
values.icon
string
obligatorio
values.id
string
obligatorio
values.value
string
obligatorio
workspaceId
string
obligatorio
Ejemplo de código
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Get Agent Skill
Cuerpo de la respuesta
createdAt
string
obligatorio
createdBy
string
obligatorio
description
string
obligatorio
id
string
obligatorio
name
string
obligatorio
updatedAt
string
obligatorio
updatedBy
string
obligatorio
valueType
string
obligatorio
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
obligatorio
Mostrar atributos secundarios
values.createdAt
string
obligatorio
values.icon
string
obligatorio
values.id
string
obligatorio
values.value
string
obligatorio
workspaceId
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Update Agent Skill
Cuerpo de la solicitud
name
string
description
string
valueType
string
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
Mostrar parámetros secundarios
values.id
string
values.value
string
values.icon
string
values.createdAt
string
Cuerpo de la respuesta
createdAt
string
obligatorio
createdBy
string
obligatorio
description
string
obligatorio
id
string
obligatorio
name
string
obligatorio
updatedAt
string
obligatorio
updatedBy
string
obligatorio
valueType
string
obligatorio
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
obligatorio
Mostrar atributos secundarios
values.createdAt
string
obligatorio
values.icon
string
obligatorio
values.id
string
obligatorio
values.value
string
obligatorio
workspaceId
string
obligatorio
Ejemplo de código
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Delete Agent Skill
Ejemplo de código
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'